import { Change, Record } from '@sankhyalabs/core';
import { DeleteResponse, DownloadKeyResponse, SaveResponse } from '../interfaces';
export interface AttachFetcherFacadeInterface {
  save(change: Change): Promise<Array<SaveResponse>>;
  edit(change: Change): Promise<Array<SaveResponse>>;
  delete(record: Record): Promise<DeleteResponse>;
  getDownloadKey(record: Record): Promise<DownloadKeyResponse>;
}
